Bug 1395955 - Review Request: fatresize - FAT16/FAT32 resizer
Summary: Review Request: fatresize - FAT16/FAT32 resizer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-17 03:13 UTC by Michal Ambroz
Modified: 2017-04-13 23:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-13 14:07:15 UTC
ngompa13: fedora-review+
rebus: needinfo+


Attachments (Terms of Use)

Description Michal Ambroz 2016-11-17 03:13:51 UTC
Spec URL: http://rebus.fedorapeople.org//fatresize.spec
SRPM URL: http://rebus.fedorapeople.org//fatresize-1.0.3-1.git20100729.src.rpm

Description:
The FAT16/FAT32 non-destructive resizer.

Comment 1 Michal Ambroz 2016-11-17 03:13:56 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=16484277

Comment 2 Neal Gompa 2016-11-17 11:41:48 UTC
Taking this review.

Comment 3 Neal Gompa 2016-11-17 12:31:39 UTC
Going point by point:

> Release:        1.git20100729

Please add %{?dist} at the end. See https://fedoraproject.org/wiki/Packaging:DistTag for more information.

> Group:          File tools

Mandrake RPM groups (used by Mandrake and its derivatives, such as Mageia and ALT Linux) are not permitted. Either select the appropriate Red Hat RPM group[1] or remove the Group tag entirely, as it is optional in Fedora unless you intend to make this available for CentOS/RHEL 5 via EPEL.

[1]: https://fedoraproject.org/wiki/RPMGroups

> autoreconf -if

Please use "autoreconf -fiv", as we want the output to be seen in the logs.

> make

Unless it breaks with it, please use "%make_build" for parallel make

> %_sbindir/*
> %_mandir/man1/*

Please use %{_sbindir} and %{_mandir} instead of %_sbindir and %_mandir.

Comment 4 Michal Ambroz 2016-11-18 01:00:27 UTC
Hello Neal,
thanks for the comments - I have incorporated them and fixed generation of the man-page.

Here it is:
SPEC URL: http://rebus.fedorapeople.org/SPECS/fatresize.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/fatresize-1.0.3-2.git20100729.fc24.src.rpm

Best regards
Michal Ambroz

Comment 5 Michal Ambroz 2016-11-18 11:08:13 UTC
Sorry one more update - I forgot the %license .

Here it is:
SPEC URL: http://rebus.fedorapeople.org/SPECS/fatresize.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/fatresize-1.0.3-3.git20100729.fc24.src.rpm

Best regards
Michal Ambroz

Comment 6 Michal Ambroz 2016-11-19 01:25:33 UTC
Sorry one more update - switching to the new upstream git on github

Here it is:
SPEC URL: http://rebus.fedorapeople.org/SPECS/fatresize.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/fatresize-1.0.3-4.git20161118.fc24.src.rpm

Best regards
Michal Ambroz

Comment 7 Neal Gompa 2016-11-22 16:56:38 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL (v3 or later)", "Unknown or
     generated". 19 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/1395955-fatresize/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     fatresize-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fatresize-1.0.3-4.git20161118.fc26.x86_64.rpm
          fatresize-debuginfo-1.0.3-4.git20161118.fc26.x86_64.rpm
          fatresize-1.0.3-4.git20161118.fc26.src.rpm
fatresize.x86_64: W: spelling-error Summary(en_US) resizer -> re sizer, re-sizer, resister
fatresize.x86_64: W: spelling-error %description -l en_US resizer -> re sizer, re-sizer, resister
fatresize.src: W: spelling-error Summary(en_US) resizer -> re sizer, re-sizer, resister
fatresize.src: W: spelling-error %description -l en_US resizer -> re sizer, re-sizer, resister
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: fatresize-debuginfo-1.0.3-4.git20161118.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
fatresize.x86_64: W: spelling-error Summary(en_US) resizer -> re sizer, re-sizer, resister
fatresize.x86_64: W: spelling-error %description -l en_US resizer -> re sizer, re-sizer, resister
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
fatresize-debuginfo (rpmlib, GLIBC filtered):

fatresize (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libparted-fs-resize.so.0()(64bit)
    libparted-fs-resize.so.0(LIBPARTED_FS_RESIZE_0.0.0)(64bit)
    libparted.so.2()(64bit)
    rtld(GNU_HASH)



Provides
--------
fatresize-debuginfo:
    fatresize-debuginfo
    fatresize-debuginfo(x86-64)

fatresize:
    fatresize
    fatresize(x86-64)



Source checksums
----------------
https://github.com/ya-mouse/fatresize/archive/161a2d6a0bf3f45c3f5223d41504c96a83228035/fatresize-1.0.3-161a2d6.tar.gz :
  CHECKSUM(SHA256) this package     : 6e9e5d0110daf487aa068d9dd7e0372cefcc3650aae6883172231d0a913a445f
  CHECKSUM(SHA256) upstream package : 6e9e5d0110daf487aa068d9dd7e0372cefcc3650aae6883172231d0a913a445f


AutoTools: Obsoleted m4s found
------------------------------
  AM_CONFIG_HEADER found in: fatresize-
  161a2d6a0bf3f45c3f5223d41504c96a83228035/configure.ac:5


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1395955 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Neal Gompa 2016-11-22 16:57:35 UTC
Ignoring the autotools check from fedora-review, the package looks good to me.

PACKAGE APPROVED.

Comment 9 Michal Ambroz 2016-11-23 05:15:57 UTC
Thank you.

Comment 10 Gwyn Ciesla 2016-11-23 13:26:20 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/fatresize

Comment 11 Richard W.M. Jones 2017-03-25 22:38:22 UTC
(In reply to Michal Ambroz from comment #9)
> Thank you.

Hi Michal, are you intending to add fatresize to Fedora?

I would really like this package, so it would be helpful if
you could complete the process and build it:

https://fedoraproject.org/wiki/PackageDB_admin_requests

Comment 12 Fedora Update System 2017-03-28 23:21:09 UTC
fatresize-1.0.3-4.git20161118.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-078444383c

Comment 13 Fedora Update System 2017-03-28 23:21:19 UTC
fatresize-1.0.3-4.git20161118.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-82be14e2d8

Comment 14 Fedora Update System 2017-03-28 23:21:25 UTC
fatresize-1.0.3-4.git20161118.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff208d4982

Comment 15 Fedora Update System 2017-03-28 23:21:31 UTC
fatresize-1.0.3-4.git20161118.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ddc9243067

Comment 16 Michal Ambroz 2017-03-28 23:22:55 UTC
Hello Richard,
package pushed to the testing. Sorry for delays.
Mik

Comment 17 Fedora Update System 2017-03-29 17:49:46 UTC
fatresize-1.0.3-4.git20161118.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff208d4982

Comment 18 Fedora Update System 2017-03-29 19:18:51 UTC
fatresize-1.0.3-4.git20161118.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-078444383c

Comment 19 Fedora Update System 2017-03-29 19:20:17 UTC
fatresize-1.0.3-4.git20161118.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-82be14e2d8

Comment 20 Fedora Update System 2017-03-30 01:49:11 UTC
fatresize-1.0.3-4.git20161118.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ddc9243067

Comment 21 Fedora Update System 2017-04-13 14:07:15 UTC
fatresize-1.0.3-4.git20161118.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-04-13 18:50:08 UTC
fatresize-1.0.3-4.git20161118.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-04-13 22:48:05 UTC
fatresize-1.0.3-4.git20161118.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-04-13 23:50:42 UTC
fatresize-1.0.3-4.git20161118.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.